<?php
/* vim: set expandtab tabstop=4 shiftwidth=4: */
// +----------------------------------------------------------------------+
// | PHP Version 5                                                        |
// +----------------------------------------------------------------------+
// | Copyright (c) 2010 Takahiro Ooishi                                   |
// +----------------------------------------------------------------------+
// | This source file is subject to version 3.0 of the PHP license,       |
// | that is bundled with this package in the file LICENSE, and is        |
// | available through the world-wide-web at the following url:           |
// | http://www.php.net/license/3_0.txt.                                  |
// | If you did not receive a copy of the PHP license and are unable to   |
// | obtain it through the world-wide-web, please send a note to          |
// | license@php.net so we can mail you a copy immediately.               |
// +----------------------------------------------------------------------+
// | Author: Takahiro Ooishi <taka0125.biz@gmail.com>                     |
// +----------------------------------------------------------------------+
//
// $Id$

require_once dirname(__FILE__) . '/../../../lib/Http/require.php';

$timeout = 10;
$agent = new Http_CurlAgent(array(), $timeout);
$request = new Http_Request();
$agent->setTimeout(100);
$agent->setOption(CURLOPT_VERBOSE, true);
$agent->setOptions(array(CURLOPT_USERAGENT => 'useragent'));

$response = $agent->send('http://google.co.jp', $request);

var_dump($response);
var_dump($agent->options());
